> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create agent

> Create a new AI agent in the organization



## OpenAPI

````yaml /openapi.yaml post /org/{org_id}/agents
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/agents:
    post:
      tags:
        - Agents
      summary: Create agent
      description: Create a new AI agent in the organization
      operationId: createAgent
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/agents.CreateAgentRequest'
        description: Agent details
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agents.AgentResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '409':
          description: Duplicate agent name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    agents.CreateAgentRequest:
      properties:
        copy_from_agent_id:
          type: string
        name:
          type: string
        prompt_template:
          type: string
        type:
          enum:
            - voice
            - chat
            - video
          type: string
      required:
        - name
        - type
      type: object
    agents.AgentResponse:
      properties:
        allowed_sip_trunks:
          items:
            type: string
          type: array
        background_sound:
          items:
            type: integer
          type: array
        created_at:
          type: string
        default_functions:
          items:
            type: string
          type: array
        extra_config:
          items:
            type: integer
          type: array
        goodbye_config:
          items:
            type: integer
          type: array
        greeting_config:
          items:
            type: integer
          type: array
        id:
          type: string
        llm_config:
          items:
            type: integer
          type: array
        name:
          type: string
        organization_id:
          type: string
        plugins:
          items:
            type: integer
          type: array
        precall_webhook:
          items:
            type: integer
          type: array
        prompt_template:
          type: string
        public_quota:
          type: integer
        room_duration_config:
          items:
            type: integer
          type: array
        tools:
          items:
            $ref: '#/components/schemas/agents.AgentToolResponse'
          type: array
        transcriber_config:
          items:
            type: integer
          type: array
        type:
          type: string
        updated_at:
          type: string
        vad_config:
          items:
            type: integer
          type: array
        voice_config:
          items:
            type: integer
          type: array
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    agents.AgentToolResponse:
      properties:
        config_override:
          additionalProperties: true
          type: object
        description:
          type: string
        is_enabled:
          type: boolean
        method:
          type: string
        name:
          type: string
        parameters:
          items:
            $ref: '#/components/schemas/agents.ToolParameter'
          type: array
        tool_id:
          type: string
        url:
          type: string
      type: object
    agents.ToolParameter:
      properties:
        description:
          type: string
        name:
          type: string
        required:
          type: boolean
        type:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````